Extending Qt Creator Manual | Scanner

Extending Qt Creator Manual 4.5.2

# Scanner Class

(QmlJS::Scanner)

- List of all members, including inherited members

## Public Functions

| Scanner()
virtual | ~Scanner()
bool | isKeyword(const QString &text) const
bool | scanComments() const
void | setScanComments(bool scanComments)
int | state() const
QList<Token> | operator()(const QString &text, int startState = Normal)

## Static Public Members

QStringList | keywords()

## Member Function Documentation

### Scanner::Scanner()

Default constructs an instance of Scanner.

### `[virtual]` Scanner::~Scanner()

Destroys the instance of Scanner. The destructor is virtual.

### bool Scanner::isKeyword(const QString &text) const

### `[static]` QStringList Scanner::keywords()

### bool Scanner::scanComments() const

See also setScanComments().

### void Scanner::setScanComments(bool scanComments)

See also scanComments().

### int Scanner::state() const

### QList<Token> Scanner::operator()(const QString &text, int startState = Normal)